- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ecs_service_info – list or describe services in ecs

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Lists or describes services in ecs.
- This module was called `ecs_service_facts` before Ansible 2.9, returning `ansible_facts`. Note that the ecs_service_info module no longer returns `ansible_facts`!

Aliases: ecs_service_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- botocore
- json
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
cluster - | Default: "default" | The cluster ARNS in which to list the services.
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
details boolean | Choices: no ← yes | Set this to true if you want detailed information about the services.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
events boolean added in 2.6 | Choices: no yes ← | Whether to return ECS service events. Only has an effect if `details` is true.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
service - |  | One or more services to get details for
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    # Basic listing example
    - ecs_service_info:
        cluster: test-cluster
        service: console-test-service
        details: true
      register: output

    # Basic listing example
    - ecs_service_info:
        cluster: test-cluster
      register: output

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
services complex | success | When details is false, returns an array of service ARNs, otherwise an array of complex objects as described below.
| clusterArn string | always | The Amazon Resource Name (ARN) of the of the cluster that hosts the service.
| deployments list of complex | always | list of service deployments
| desiredCount integer | always | The desired number of instantiations of the task definition to keep running on the service.
| events list of complex | when events is true | list of service events
| loadBalancers complex | always | A list of load balancer objects
|  | containerName string | always | The name of the container to associate with the load balancer.
|  | containerPort integer | always | The port on the container to associate with the load balancer.
|  | loadBalancerName string | always | the name
| pendingCount integer | always | The number of tasks in the cluster that are in the PENDING state.
| runningCount integer | always | The number of tasks in the cluster that are in the RUNNING state.
| serviceArn string | always | The Amazon Resource Name (ARN) that identifies the service. The ARN contains the arn:aws:ecs namespace, followed by the region of the service, the AWS account ID of the service owner, the service namespace, and then the service name. For example, arn:aws:ecs:region :012345678910 :service/my-service .
| serviceName string | always | A user-generated string used to identify the service
| status string | always | The valid values are ACTIVE, DRAINING, or INACTIVE.
| taskDefinition string | always | The ARN of a task definition to use for tasks in the service.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Mark Chance (@Java1Guy)
- Darek Kaczynski (@kaczynskid)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.